Browse code

Add diff-highlight stub

Robert Cranston authored on 22/01/2023 21:05:59
Showing 1 changed files
1 1
new file mode 100755
... ...
@@ -0,0 +1,15 @@
1
+#!/bin/sh
2
+set -euC
3
+
4
+# Where `diff-highlight` is located and whether it's executable varies between
5
+# distros, so try a few common places and run the shebang manually.
6
+
7
+for file in \
8
+  '/usr/share/doc/git/contrib/diff-highlight/diff-highlight' \
9
+  '/usr/share/git-core/contrib/diff-highlight' \
10
+  '/usr/share/git/diff-highlight/diff-highlight'
11
+do
12
+  [ -e "$file" ] && break
13
+done
14
+prog="$(sed -n '1s/^#!//p' "$file")"
15
+exec $prog "$file" "$@"